
# DO NOT EDIT THIS FILE -- AUTOGENERATED BY PANTS
# Target: src/mcot/dippi:dist

from setuptools import setup

setup(**{
    'author': 'Michiel Cottaar',
    'author_email': 'Michiel.Cottaar@ndcn.ox.ac.uk',
    'classifiers': [
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3',
        'Operating System :: OS Independent',
    ],
    'description': 'Simulates/fits DIPPI data',
    'license': 'MIT license',
    'long_description': """Module to analyse DIffusion-Prepared Phase Imaging (DIPPI) data

Contains both code to simulate the data and to fit the data.
Preprocessing scripts are not yet provided.""",
    'name': 'mcot.dippi',
    'python_requires': '>=3.6',
    'url': 'https://git.fmrib.ox.ac.uk/ndcn0236/mcot',
    'version': '0.1.1',
    'package_dir': {
        '': 'src',
    },
    'packages': (
        'mcot',
        'mcot.dippi',
        'mcot.dippi.geometry',
    ),
    'namespace_packages': (
    ),
    'package_data': {
        'mcot.dippi': (
            'README.rst',
            'VERSION',
        ),
    },
    'install_requires': (
        'dataclasses_json',
        'dipy',
        'fslpy',
        'mcot.maths~=0.1.0',
        'mcot.surface~=0.1.0',
        'mcot.utils~=0.1.0',
        'nibabel',
        'numpy',
        'pandas',
        'scipy',
        'sympy',
        'xarray',
    ),
})
